Ruby: internal_state Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
internal_state Struct Reference

`#include <deflate.h>`

## Data Fields
z_streamp | strm
int | status
Bytef * | pending_buf
ulg | pending_buf_size
Bytef * | pending_out
ulg | pending
int | wrap
gz_headerp | gzhead
ulg | gzindex
Byte | method
int | last_flush
uInt | w_size
uInt | w_bits
uInt | w_mask
Bytef * | window
ulg | window_size
Posf * | prev
Posf * | head
uInt | ins_h
uInt | hash_size
uInt | hash_bits
uInt | hash_mask
uInt | hash_shift
long | block_start
uInt | match_length
IPos | prev_match
int | match_available
uInt | strstart
uInt | match_start
uInt | lookahead
uInt | prev_length
uInt | max_chain_length
uInt | max_lazy_match
int | level
int | strategy
uInt | good_match
int | nice_match
struct ct_data_s | dyn_ltree [HEAP_SIZE]
struct ct_data_s | dyn_dtree [2 *D_CODES+1]
struct ct_data_s | bl_tree [2 *BL_CODES+1]
struct tree_desc_s | l_desc
struct tree_desc_s | d_desc
struct tree_desc_s | bl_desc
ush | bl_count [MAX_BITS+1]
int | heap [2 *L_CODES+1]
int | heap_len
int | heap_max
uch | depth [2 *L_CODES+1]
uchf * | sym_buf
uInt | lit_bufsize
uInt | sym_next
uInt | sym_end
ulg | opt_len
ulg | static_len
uInt | matches
uInt | insert
ush | bi_buf
int | bi_valid
ulg | high_water

## Detailed Description

Definition at line 100 of file deflate.h.

## Field Documentation

## ◆ bi_buf

ush internal_state::bi_buf

Definition at line 255 of file deflate.h.

Referenced by deflatePrime().

## ◆ bi_valid

int internal_state::bi_valid

Definition at line 259 of file deflate.h.

Referenced by deflatePrime().

## ◆ bl_count

ush internal_state::bl_count[MAX_BITS+1]

Definition at line 206 of file deflate.h.

## ◆ bl_desc

struct tree_desc_s internal_state::bl_desc

Definition at line 204 of file deflate.h.

Referenced by deflateCopy().

## ◆ bl_tree

struct ct_data_s internal_state::bl_tree[2 *BL_CODES+1]

Definition at line 200 of file deflate.h.

Referenced by deflateCopy().

## ◆ block_start

long internal_state::block_start

Definition at line 154 of file deflate.h.

Referenced by deflate(), deflateParams(), and deflateSetDictionary().

## ◆ d_desc

struct tree_desc_s internal_state::d_desc

Definition at line 203 of file deflate.h.

Referenced by deflateCopy().

## ◆ depth

uch internal_state::depth[2 *L_CODES+1]

Definition at line 216 of file deflate.h.

## ◆ dyn_dtree

struct ct_data_s internal_state::dyn_dtree[2 *D_CODES+1]

Definition at line 199 of file deflate.h.

Referenced by deflateCopy().

## ◆ dyn_ltree

struct ct_data_s internal_state::dyn_ltree[HEAP_SIZE]

Definition at line 198 of file deflate.h.

Referenced by deflateCopy(), and init_block().

## ◆ good_match

uInt internal_state::good_match

Definition at line 191 of file deflate.h.

Referenced by deflateParams(), and deflateTune().

## ◆ gzhead

gz_headerp internal_state::gzhead

Definition at line 108 of file deflate.h.

Referenced by deflate(), deflateBound(), and deflateInit2_().

## ◆ gzindex

ulg internal_state::gzindex

Definition at line 109 of file deflate.h.

Referenced by deflate().

## ◆ hash_bits

uInt internal_state::hash_bits

Definition at line 144 of file deflate.h.

Referenced by deflateBound(), and deflateInit2_().

## ◆ hash_mask

uInt internal_state::hash_mask

Definition at line 145 of file deflate.h.

Referenced by deflateInit2_().

## ◆ hash_shift

uInt internal_state::hash_shift

Definition at line 147 of file deflate.h.

Referenced by deflateInit2_().

## ◆ hash_size

uInt internal_state::hash_size

Definition at line 143 of file deflate.h.

Referenced by deflateCopy(), and deflateInit2_().

## ◆ head

Posf* internal_state::head

Definition at line 140 of file deflate.h.

Referenced by deflateCopy(), deflateInit2_(), deflateSetDictionary(), and deflateSetHeader().

## ◆ heap

int internal_state::heap[2 *L_CODES+1]

Definition at line 209 of file deflate.h.

## ◆ heap_len

int internal_state::heap_len

Definition at line 210 of file deflate.h.

## ◆ heap_max

int internal_state::heap_max

Definition at line 211 of file deflate.h.

## ◆ high_water

ulg internal_state::high_water

Definition at line 264 of file deflate.h.

Referenced by deflateInit2_().

## ◆ ins_h

uInt internal_state::ins_h

Definition at line 142 of file deflate.h.

Referenced by deflateSetDictionary().

## ◆ insert

uInt internal_state::insert

Definition at line 248 of file deflate.h.

Referenced by deflate(), and deflateSetDictionary().

## ◆ l_desc

struct tree_desc_s internal_state::l_desc

Definition at line 202 of file deflate.h.

Referenced by deflateCopy().

## ◆ last_flush

int internal_state::last_flush

Definition at line 111 of file deflate.h.

Referenced by deflate(), deflateParams(), and deflateResetKeep().

## ◆ level

int internal_state::level

Definition at line 188 of file deflate.h.

Referenced by deflate(), deflateInit2_(), and deflateParams().

## ◆ lit_bufsize

uInt internal_state::lit_bufsize

Definition at line 222 of file deflate.h.

Referenced by deflateCopy(), and deflateInit2_().

## ◆ lookahead

uInt internal_state::lookahead

Definition at line 164 of file deflate.h.

Referenced by deflate(), deflateGetDictionary(), deflateParams(), and deflateSetDictionary().

## ◆ match_available

int internal_state::match_available

Definition at line 161 of file deflate.h.

Referenced by deflateSetDictionary().

## ◆ match_length

uInt internal_state::match_length

Definition at line 159 of file deflate.h.

Referenced by deflateSetDictionary().

## ◆ match_start

uInt internal_state::match_start

Definition at line 163 of file deflate.h.

## ◆ matches

uInt internal_state::matches

Definition at line 247 of file deflate.h.

Referenced by deflateParams().

## ◆ max_chain_length

uInt internal_state::max_chain_length

Definition at line 171 of file deflate.h.

Referenced by deflateParams(), deflateTune(), and longest_match().

## ◆ max_lazy_match

uInt internal_state::max_lazy_match

Definition at line 177 of file deflate.h.

Referenced by deflateParams(), and deflateTune().

## ◆ method

Byte internal_state::method

Definition at line 110 of file deflate.h.

Referenced by deflateInit2_().

## ◆ nice_match

int internal_state::nice_match

Definition at line 194 of file deflate.h.

Referenced by deflateParams(), deflateTune(), and longest_match().

## ◆ opt_len

ulg internal_state::opt_len

Definition at line 245 of file deflate.h.

## ◆ pending

ulg internal_state::pending

Definition at line 106 of file deflate.h.

Referenced by deflate(), deflatePending(), deflateResetKeep(), and flush_pending().

## ◆ pending_buf

Bytef* internal_state::pending_buf

Definition at line 103 of file deflate.h.

Referenced by deflate(), deflateCopy(), deflateInit2_(), deflateResetKeep(), and flush_pending().

## ◆ pending_buf_size

ulg internal_state::pending_buf_size

Definition at line 104 of file deflate.h.

Referenced by deflate(), deflateCopy(), and deflateInit2_().

## ◆ pending_out

Bytef* internal_state::pending_out

Definition at line 105 of file deflate.h.

Referenced by deflateCopy(), deflatePrime(), deflateResetKeep(), and flush_pending().

## ◆ prev

Posf* internal_state::prev

Definition at line 134 of file deflate.h.

Referenced by deflate_rle(), deflateCopy(), deflateInit2_(), deflateSetDictionary(), and longest_match().

## ◆ prev_length

uInt internal_state::prev_length

Definition at line 166 of file deflate.h.

Referenced by deflateSetDictionary().

## ◆ prev_match

IPos internal_state::prev_match

Definition at line 160 of file deflate.h.

## ◆ static_len

ulg internal_state::static_len

Definition at line 246 of file deflate.h.

## ◆ status

int internal_state::status

Definition at line 102 of file deflate.h.

Referenced by deflate(), deflateEnd(), deflateInit2_(), deflateResetKeep(), deflateSetDictionary(), and deflateStateCheck().

## ◆ strategy

int internal_state::strategy

Definition at line 189 of file deflate.h.

Referenced by deflate(), deflateInit2_(), and deflateParams().

## ◆ strm

z_streamp internal_state::strm

Definition at line 101 of file deflate.h.

Referenced by deflate(), deflateBound(), deflateCopy(), deflateEnd(), deflateGetDictionary(), deflateInit2_(), deflateParams(), deflatePending(), deflatePrime(), deflateReset(), deflateResetKeep(), deflateSetDictionary(), deflateSetHeader(), deflateStateCheck(), deflateTune(), flush_pending(), inflateInit2_(), inflateInit_(), and read_buf().

## ◆ strstart

uInt internal_state::strstart

Definition at line 162 of file deflate.h.

Referenced by deflate(), deflateBound(), deflateGetDictionary(), deflateParams(), and deflateSetDictionary().

## ◆ sym_buf

uchf* internal_state::sym_buf

Definition at line 220 of file deflate.h.

Referenced by _tr_tally(), deflateCopy(), deflateInit2_(), and deflatePrime().

## ◆ sym_end

uInt internal_state::sym_end

Definition at line 243 of file deflate.h.

Referenced by deflateInit2_().

## ◆ sym_next

uInt internal_state::sym_next

Definition at line 242 of file deflate.h.

## ◆ w_bits

uInt internal_state::w_bits

Definition at line 116 of file deflate.h.

Referenced by deflate(), deflateBound(), and deflateInit2_().

## ◆ w_mask

uInt internal_state::w_mask

Definition at line 117 of file deflate.h.

Referenced by deflateInit2_(), and deflateSetDictionary().

## ◆ w_size

uInt internal_state::w_size

Definition at line 115 of file deflate.h.

Referenced by deflateCopy(), deflateGetDictionary(), deflateInit2_(), deflateSetDictionary(), fill_window(), and slide_hash().

## ◆ window

Bytef* internal_state::window

Definition at line 119 of file deflate.h.

Referenced by deflate_rle(), deflateCopy(), deflateGetDictionary(), deflateInit2_(), deflateSetDictionary(), inflateBackInit_(), and longest_match().

## ◆ window_size

ulg internal_state::window_size

Definition at line 129 of file deflate.h.

Referenced by lm_init().

## ◆ wrap

int internal_state::wrap

Definition at line 107 of file deflate.h.

Referenced by deflate(), deflateBound(), deflateInit2_(), deflateResetKeep(), and deflateSetDictionary().

The documentation for this struct was generated from the following file:

- ext/zlib/zlib-1.2.13/deflate.h